KJL - Feature #3116

Tab Form Permintaan Sample ingin bisa ngeload dari Nama Barang

10/07/2024 03:30 PM - haykal haykal

Status: Closed
Priority: Normal
Assignee: Moch Alinafia
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

10/07/2024
10/11/2024
0%

0.00 hour
0.00 hour

Description
Dear Mbak Yomma,

Di menu Sales Inquiry ada tab Form Permintaan Sample. Nah inginnya di tab itu otomatis load dari Nama Barang yang dipilih di tab

Sales ltem.

Jadi untuk Nama Barang ngeload dari tab Sales Item dan field-field di sebelahnya ngeload dari data Material Master Data untuk

barang tersebut.

Terimakasih.

Menu Path: Logistic & Service > Sales Management > Sales Inquiry

Port: http://remote.minovais.com:61138/
DB: MinovaES_KJL_Prod (1452)

History

#1 - 10/08/2024 03:40 PM - Kezia Pawitra Yulianti
- Due date set to 10/11/2024

- Status changed from New to Assigned

#2 - 10/14/2024 04:49 PM - Tri Rizqiaty

- File clipboard-202410141642-vehre.png added
- File PCMWFCUSTPARAM .xlIsx added

- Status changed from Assigned to Developing
Fixing :

1. update folder : Ul-app-controller-logistic-documentlogistic.js
http://remote.minovais.com:61138/

B po_hba.conf l B postaresgl. conf l B mderpsearch.js l Minoealltil. FieldGenerator. jz l B Minovasitype.js l B Logtt l B fingerSyC txt l B document.js || documentlogistic.js E3

456 ffregion auto load tah sales sample

437 rar getPnl = Ext.ComponentQuery.cquery(' [name=pane ]l TabPTESALESZITENZ] "y [O] 2
455 rar getThl = getPnl.gquery(' [name=gridCELLGRIDPTRIALESITEME] "y [0]
459 rar recC = getThl.store.getNewRecords(})

490 console. log{recc) ;

491 var ohj = []1:

492 rar matid = '';

493 rvar gty = '';

494 4 for {var i = 0; i « recC.length; i++) {

495 var temp = []:

495 temp.pushi{recC[i]) ;

497 = Ext.each{tenp, function {rec) {

495 matid = matid + ',' + rec.data.Material:; console.log{matid});
499 gty = gty + ', ' + rec.data.QuantityTransaction; console. log{gty):
500 - 1y

501 - ¥

502

503 store = Ext.Z3toreMgr. lookup{' storePTRIZLLEZFORMILMFLE ') ;

504 rar afterCheck = store.getNewRecords()

505 = if {afterCheck.length I= '0') {

506 store.remove{afterCheck) ;

507 - ¥

508 idx = store.getCount{) ;

509

510 = if {recC.length > O) {

511 E rvar dt = '';

51z = Minovaltil.ExecuteParamiuery( {

5ils ID: "PDETRSALESFORM3IAMPLE™,

514 MateriallID: matid,

515 QLy: oty

51la ¥, function (=) {

517 rar result = Ext.decode{s.responseText); console.log{'get data dr param gquery'});
518 dt = Ext.decode{Ext.decode{result.data)};

519 console. log{dt) ;

520 - 1y

521

522 store.insert{idx, dt);

caa A wmlARARY

2. Update table PCMWFCUSTPARAM sesuai excel terlampir

#3 - 10/14/2024 04:49 PM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal

#4 - 10/16/2024 05:00 PM - haykal haykal
- File Mappingan field-field di tab Form Permintaan Sample yang mengambil dari Material Master Data.xIsx added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty
Mbak, utk mappingan field-field di tab Form Permintaan Sample yg mengambil dari Material Master Data aku attach filenya ya...
Terimakasih.

#5 - 10/21/2024 09:32 AM - Tri Rizqiaty
- File deleted (PCMWFCUSTPARAM.xIsx)

#6 - 10/21/2024 09:37 AM - Tri Rizqgiaty
- File PCMWFCUSTPARAM.xIsx added
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to haykal haykal

fixing : update table PCMWFCUSTPARAM di excel terlampir

#7 - 10/21/2024 11:24 AM - haykal haykal

- File Catatan Tab Form Permintaan Sample.png added
- Status changed from QA Test to Revise

- Assignee changed from haykal haykal to Tri Rizqiaty

Mbak, ada catatan sedikit.

-Utk yg field Quantity Sample yg di tab Form Permintaan Sample itu mengambilnya bukan dari field Quantity Mbak. Itu mengambilnya dari field
Quantity Sample yg ada di tab Sales Item. Kalau di tab Sales Item itu field Quantity Sample nya gak diisi, maka yg di tab Form Permintaan

Samplenya dibuat 0 saja.
-Utk yg field Unit itu masih menampilkan Code (3) , harusnya Description (Kg).

Itu aja mungkin Mbak catatannya. Terimakasih.
#8 - 10/23/2024 09:52 AM - Tri Rizqgiaty
- File clipboard-202410230952-vcyrc.png added

- File clipboard-202410230952-an1lv.png added

- Status changed from Revise to Developing

Fixing :

1. update Ul/app/controller/logistic : documentlogistic.js
pa_hba conf 4] postaresgl.canf 4] mderpsearchjs _.I Minovatyne js _.I Log bt 41 finger&ye bt _.1 B document = o4 [ documentogistic.js E3 | documentiogistic s £

518

5i@ J] if { thl == 'PTRELLESFORMZLMPLE')

520 {

521 J/region auto load tsh sales sample

522 var getPnl = Ext.ComponentQuery.cuery(' [name=pans I TabPTRSALESITEMS] "y [O7
523 rar getThl = gecPnl.guery( ' [name=gr iIACELLGRIDPTRSLLESITEMS] ') [0] 2
524 var recC = getThl.store.getNewRecords();

525 console. log{recC)

526 var obj = [17

527 rar matid v

528 var gty = '';

529 = for (var i = 0; i < recC.length; i++) {

530 rar temp = []:

531 temp. push{recC[i]) ;

532 = Ext.each{temp, function {rec) {

533 matid = matid + ' ' + rec.data.Material: console. log{macid) ;
534 gty gty + ', ' + rec.data.Qty3ample; console.log{gty) ;
535 o 137

536 4] 3

537

538 store = Ext.3toreMgr.lookupl'storePTRILLEZFORMIANFLE' ) 5

539 var afterCheck = store.getNewRecords();

540 = if (afrtercCheck.length 1= '0') {

541 store.remove({afterCheck) ;

542 1] 3}

543 idx = store.gecCount{);

544

545 =] if (reccC.length > 0) {

546 E rar dt = '';

547 = Minowvaltil.ExecuteParamQueryy {

548 ID: "PDSTRIALESFORMIANFPLE",

549 MateriallID: matid,

E50 QUy: oty

551 }, function (s) {

552 var result = Ext.decode(s.responseText); console. log( get data dr pacam guecy');
553 dt = Ext.decode{Ext.decode{result.data));

554 console. log{dr) ;

cce T

2. update Ul/scripts : MinovaXtype.js (editgridsum)

po_hba.conf 4] postaresal.conf A.I mderpesaich & 04 =] Minovatype.is B I Log. kst 4.1 fingerSC. kst JIE document.js 4.1 documentlogistic. js 41 documentogistic.js &3

z205za9 eval{custumFunc )

20530 3

20531 }

20532 }

20533 1

20534 E] renderer: function {(value) { console.log( render combo editsun');
20535 rar store = Ext.data.3toreManager.lookup{'store ' + me.tablelName + rec.FieldName)
20536 var index = store.find{valueField, value);
20537 var val = H

z0538  H if {index -1y {

20539 var rc = store.getit{index) :

20540 val = rc.get(displayValue); //+ ' - ' + rc.getidisplayValue):
20541 } else {

20542 val = value;

20543 }

20544 return val;

20545 ¥,

z0546 B filter: {

20547 type: 'list'

20548 [ itembefaults: {

20549 emptyText: 'Search for...'

20550 }

20551 }

20552 B

20553 t else if (rec.SearchType == '5'} {

20554 var valueField = null:

20555 var displayValue = null;

20556 var AdditionaldisplayValus = null;

20557 var TableRef = undefined;

20558 E| if (rec.TahleRef != "'} {

20559 TahleRef = rec.TableRef;

20560 B ExC.Ajax.request({

20561 async: false,

20562 wmethod: 'FOST',

20563 url: '/UserControl/GetScore' ,

20564 El params:

20565 tableName: 'SDATALTAELEFIELD' .

<

#9 - 10/23/2024 09:53 AM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to haykal haykal
#10 - 10/23/2024 10:25 AM - haykal haykal
- Status changed from QA Test to Closed

#11 - 10/23/2024 10:44 AM - haykal haykal
- Status changed from Closed to Deploy
- Assignee changed from haykal haykal to Moch Alinafia

Kak Ali ini minta tolong deploy ya ke

port: https://hris-kjl.minovais.com:31139/
db: MinovaES_KJL_Prod (103.153.60.89)

Terimakasih.

#12 - 10/23/2024 04:33 PM - Moch Alinafia
- Status changed from Deploy to Closed
